'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = NumberPicker;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactPicker = require('@smalldots/react-picker');

var _reactPicker2 = _interopRequireDefault(_reactPicker);

var _lodash = require('lodash.range');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function NumberPicker(_ref) {
  var min = _ref.min;
  var max = _ref.max;
  var step = _ref.step;
  var reverse = _ref.reverse;

  var other = _objectWithoutProperties(_ref, ['min', 'max', 'step', 'reverse']);

  var options = (0, _lodash2.default)(min, max + 1, step);
  if (reverse) {
    options.reverse();
  }
  return _react2.default.createElement(_reactPicker2.default, _extends({}, other, {
    options: options.map(function (value) {
      return { label: value, value: value };
    })
  }));
}

NumberPicker.propTypes = {
  className: _react.PropTypes.string,
  optionsPerRow: _react.PropTypes.number,
  value: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.number]),
  min: _react.PropTypes.number.isRequired,
  max: _react.PropTypes.number.isRequired,
  step: _react.PropTypes.number,
  reverse: _react.PropTypes.bool,
  renderHeader: _react.PropTypes.func,
  renderOption: _react.PropTypes.func,
  onChange: _react.PropTypes.func
};

NumberPicker.defaultProps = _reactPicker2.default.defaultProps;
